package seal_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type SealImageRequest struct {
	// 【印章名称】印章名称（印章ID和名称二选一，使用名称查询时单位信息必传）
	SealName string `json:"sealName,omitempty"`
	// 【印章ID】印章ID（印章ID与印章名称二选一）
	SealId string `json:"sealId,omitempty"`
	// 【法人单位id】法人单位id（根据印章名称查询时，companyName、companyId、registerNo至少填写一个）
	CompanyId string `json:"companyId,omitempty"`
	// 【法人单位名称】法人单位名称（根据印章名称查询时，companyName、companyId、registerNo至少填写一个）
	CompanyName string `json:"companyName,omitempty"`
	// 【统一社会信用代码】统一社会信用代码（根据印章名称查询时，companyName、companyId、registerNo至少填写一个）
	RegisterNo string `json:"registerNo,omitempty"`
}

func (obj SealImageRequest) GetUrl() string {
	return "/seal/image"
}

func (obj SealImageRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("sealName", obj.SealName)
	parameter.AddParam("sealId", obj.SealId)
	parameter.AddParam("companyId", obj.CompanyId)
	parameter.AddParam("companyName", obj.CompanyName)
	parameter.AddParam("registerNo", obj.RegisterNo)
	return parameter
}
